import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import { setupPinia } from './store/'
import i18n from './locale'

// import directive from './directive';

// 加载Css
import './assets/css/arco.style.css'
import './assets/css/style.css'
import './assets/css/tailwind.css'
// svg插件需要的配置代码
import 'virtual:svg-icons-register'
// 加载图标
import './assets/fonts/icons/iconfont.css'

const app = createApp(App)

app.use(router)
setupPinia(app)
app.use(i18n)
// app.use(directive);
app.mount('#app')
