import { defineStore } from 'pinia'
import { AppState } from './types'
import { changeArcoTheme } from '@/configs/arco.ui.config'
import { changeTailwindTheme } from '@/configs/tailwind.ui.config'

const useAppStore = defineStore('app', {
    state: (): AppState => {
        return {
            theme: 'light'
        }
    },

    getters: {},

    actions: {
        changeTheme(themeName: string) {
            this.theme = 'dark'
            changeArcoTheme(themeName)
            changeTailwindTheme(themeName)
        }
    },

    persist: false
})

export default useAppStore
