import { defineStore } from 'pinia'
import type { UserState, UserInfo } from './types'
import useAppStore from '@/store/app/index'
import { activedTheme } from '../../../project.ui.config'

const useContactsStore = defineStore('user', {
    state: (): UserState => {
        return {
            token: '',
            user_info: {
                id: '',
                username: '',
                nickname: '',
                status: 0,
                token: '',
                tokenHead: ' ',
                videoGroup: 0,
                autoRecord: false
            }
        }
    },

    getters: {},

    actions: {
        //用户登录
        setUserInfo(res: UserInfo) {
            this.token = res.token
            this.user_info = res
            //初始化主题色
            const { changeTheme } = useAppStore()
            changeTheme(activedTheme.value)
            this.router.push('/')
        },
        //退出登录
        handleLogOut() {
            this.token = ''
            this.user_info = {
                id: '',
                username: '',
                nickname: '',
                status: 0,
                token: '',
                tokenHead: ' ',
                videoGroup: 0,
                autoRecord: false
            }
            const { changeTheme } = useAppStore()
            changeTheme('light')
            this.router.replace('/login')
        }
    },

    persist: {
        storage: sessionStorage // 存储的类型，默认localStorage
    }
})

export default useContactsStore
